namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;

public interface IAccountAccessRepository
{
	bool Add(AccountAccess accountAccess);
	Task<bool> AddAsync(AccountAccess accountAccess, CancellationToken cancellationToken = default);
	bool Update(AccountAccess accountAccess);
	Task<bool> UpdateAsync(AccountAccess accountAccess, CancellationToken cancellationToken = default);
	bool Delete(AccountAccess accountAccess);
	Task<bool> DeleteAsync(AccountAccess accountAccess, CancellationToken cancellationToken = default);
}